#include <hwim.g>
#include <hwim.h>
#include <dat.g>
#include <dat.rsg>

GLREF_D WSERV_SPEC *wserv_channel;

GLDEF_C VOID main(VOID)
    {
    IN_HWIMMAN app;
    IN_WSERV ws;

    p_linklib(0);
    app.flags=FLG_APPMAN_FULLSCREEN|FLG_APPMAN_RSCFILE|FLG_APPMAN_CLEAN|
        FLG_APPMAN_SRSCFILE;
    app.wserv_cat=ws.com_cat=p_getlibh(CAT_DAT_DAT);
    app.wserv_class=C_DATWSERV;
    ws.com_class=C_DATCOM;
    p_send4(p_new(CAT_DAT_HWIM,C_HWIMMAN),O_AM_INIT,&app,&ws);
    }

#pragma METHOD_CALL

METHOD VOID datwserv_ws_dyn_init(PR_DATWSERV *self)
    {
    W_WINDATA wd;

    wd.extent.tl.y=0;
    wd.extent.tl.x=0;
    wd.extent.width=wserv_channel->conn.info.pixels.x;
    wd.extent.height=wserv_channel->conn.info.pixels.y;
    wd.background=W_WIN_BACK_CLR|W_WIN_BACK_GREY_CLR;
    self->wserv.cli=f_newsend(CAT_DAT_DAT,C_DATWIN,O_WN_INIT,NULL,W_WIN_EXTENT|W_WIN_BACKGROUND,&wd);
    }




